const splitRoutePath = (routePath: string): string[] => {
    const routeParts = routePath.split('/').filter((part) => part !== '')

    const routeArray: string[] = []
    let currentRoute = ''

    for (const part of routeParts) {
        currentRoute += `/${part}`
        routeArray.push(currentRoute)
    }

    return routeArray
}

const formatNumber = (number: number): string => {
    return new Intl.NumberFormat('en-US').format(number)
}

export {
    splitRoutePath,
    formatNumber
}